slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetDSType

Sets the type of the internal DS object based on the current settings of the nonlinear eigensolver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetDSType(NEP nep)

Collective

### Input Parameter

| nep | - nonlinear eigensolver context

### Note

This function need not be called explicitly, since it will be called at both NEPSetFromOptions() and NEPSetUp().

### See Also

NEPSetFromOptions(), NEPSetUp()

### Level

developer

### Location

src/nep/interface/nepsetup.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages